
Database - Bug #2071

conversion fails to find attach point for QueryWrapper instance variable declaration

03/02/2013 01:25 AM - Eric Faulhaber

Status: Closed Start date: 03/02/2013

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Conversion Support for Server Features   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 03/02/2013 02:36 AM - Eric Faulhaber

- File ecf_upd20130302a.zip added

A non-promoted OPEN QUERY in an IF-THEN construct fails to find an attach point to which to graft its QueryWrapper declaration.  The current logic

is hard-coded to look up 3 ancestor levels and then down one, expecting to find a java.cs_instance_vars node.  Because the IF-THEN adds more

levels, this technique fails.

The attached update fixes the problem and has passed conversion regression testing.  It is committed to bzr rev. 10231.

#2 - 03/02/2013 02:39 AM - Eric Faulhaber

- Status changed from WIP to Closed

- % Done changed from 0 to 100

#3 - 11/16/2016 10:59 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

ecf_upd20130302a.zip 19.2 KB 03/02/2013 Eric Faulhaber
